实时计算为独享模式集群提供版本管理功能,您可自行管理集群对应的Blink引擎版本。

登录版本管理页面

  1. 登录实时计算控制台
  2. 将鼠标悬停至控制台页面右上角个人账户位置,单击项目管理
  3. 在左侧导航栏,单击集群管理 > 集群列表
  4. 集群列表区域,单击目标集群操作列下的更多 > 版本管理

安装

说明
  • 最多安装3个版本(已拥有超过3个版本的集群不受此限制)。若需安装新版本,需预先删除原有版本,使已安装版本数小于3。
  • 一次只能安装一个版本,安装过程中集群状态显示为版本部署中
  • 不可安装已安装过的版本。
  • 如果安装过程出现异常,将以短信方式发送监控告警。
  • 每个版本设有服役时间(默认一年),版本退役后您可以继续使用此版本,但阿里云团队不再负责维护。
您可以在可安装版本页签,根据业务需求和版本特性,安装适合的版本。版本类型如下。
标签 说明
stable 当前推荐安装的稳定版本。
beta 测试版本。
说明 在特定场景下才可安装使用,非特定场景不保证版本质量和稳定性,不建议安装。
无标签 历史稳定版本。
安装步骤如下:
  1. 登录版本管理页面
  2. 可安装版本页面,单击目标版本操作列下的安装

设置为current

您可以选择一个已安装的Blink版本,将它设置为当前集群内作业的默认版本。不同的Blink版本具备不同的特性,您可以根据实际需求,将合适的Blink版本设置为当前版本。
  1. 登录版本管理页面
  2. 已安装版本页面,单击目标版本操作列下的设置为current

卸载

说明
  • 不能卸载已设置为current的版本。
  • 不能卸载作业已引用的版本。
当前实时计算仅支持安装3个Blink版本,如果您已经安装3个Blink版本,且需要安装新版本,则您需要先进行版本卸载。
  1. 登录版本管理页面
  2. 已安装版本页面,单击目标版本操作列下的卸载

版本切换

不同的Blink版本具备不同的特性,您可以根据实际需求,将合适的Blink版本设置为当前版本。 您可以通过版本切换功能,为单个作业变更Blink版本。
  1. 登录实时计算控制台
  2. 单击页面的顶部开发
  3. 作业开发页面双击文件夹或目标作业,进入作业编辑页面。
  4. 在作业编辑页面的右下角,单击版本信息。
  5. 在选项列表中选择目标版本。

常见问题

  • Q:安装引擎出现报错信息blink-<version> already installed

    A:该版本已经安装,无需再次安装。

  • Q:安装引擎出现报错信息Flink versions exceeded max limitation:3

    A:超出版本限制。若需安装新版本,需预先删除原有版本,使已安装版本数小于3。

  • Q:卸载引擎出现报错信息Node:<nodeName> in project:<projectName> still ref the version:<blinkVersion>

    A:线上存在引用此版本引擎的作业,请根据报错信息中的作业名称和项目名称,将该作业先进行下线。

  • Q:单击语法检查上线产生如下报错。
    code:[30006], brief info:[blink script not exist, please check blink version], context info:[blink script:[/home/admin/blink/blink-2.2.6-hotfix0/bin/flink], blink version:[/home/admin/blink/blink-2.2.6-hotfix0/bin/flink]]
    A:该作业使用的引擎不存在。进入版本管理 > 已安装版本查看是否存在该版本引擎。
    • 不存在:请切换或安装此版本引擎。
    • 存在:请提交工单。